#include <stdio.h>
#include <string.h>
#include <stdlib.h>

static void	pad(char *input, size_t pad_size)
{
	size_t	i, input_len;

	printf("In pad(): input:[%s] pad_size:%zu\n", input, pad_size);

	input_len = strlen(input);

	printf("input_len:%zu\n", input_len);

	if (pad_size > input_len)
	{
		for (i = 0; i < input_len; i++)
			input[i + pad_size - input_len] = input[i];
		memset(input, '0', pad_size-input_len);
	}
	else
	{
		for (i = 0; i < pad_size; i++)
			input[i] = input[i + input_len - pad_size];
	}
	input[pad_size] = '\0';

	printf("End pad(): input:[%s]\n", input);
}

int	main(int argc, char **argv)
{
	if (3 != argc)
		return 1;

	pad(argv[1], (size_t)atoi(argv[2]));

	return 0;
}
